import { For, createEffect, createSignal } from "solid-js";
import { styled } from "solid-styled-components";
import { useCooldown } from "../providers/cooldown";

export default function CooldownUI() {
  const [cooldown] = useCooldown();
  const [stack, setStack] = createSignal<any[]>([]);

  const UIContainer = styled("div")`
    text-align: center;
    position: absolute;

    width: 100vw;
    bottom: 200px;
    left: 0px;
  `;

  createEffect(() => {
    console.log("cooldown info:", cooldown());
    setStack(Object.entries(cooldown()).filter((v) => (v[1] as number) > 0));
  });

  return (
    <UIContainer>
      <For each={stack()}>
        {(item) => (
          <div>
            {item[0]} {[(item[1] as number) / 1000]}s
          </div>
        )}
      </For>
    </UIContainer>
  );
}
